Subject: Re: [PATCH 1/3] git-svn: use POSIX::sigprocmask to block signals

From: Junio C Hamano <[email-masked]>
Date: Mon, 23 Apr 2012 14:13:51 -0700

Roman Kagan <[email-masked]> writes:

> [B]locking some signals is obviously not a good enough
> protection measure: the program may die on SIGKILL or the power may go
> off.

Ahh, that is what you meant.  I agree that it is of dubious value to
only try to catch signals, even though it may be better than nothing.

It should be sufficient to replace the "[...]" part with the above,
and conclude it with "But it will be a separate topic that this patch
does not address." or something.

Thanks.